
extern const signed short sintable[0x100+0x40];

#define costable     (sintable+0x40)

#define COSINUS2(_x) (costable[_x])
#define SINUS2(_x)   (sintable[_x])
#define SINSHIFT 8

extern const unsigned char sinustablelow[0x100];
extern const unsigned char sinustablehigh[0x100];
extern const unsigned char cosinustablelow[0x100];
extern const unsigned char cosinustablehigh[0x100];

//#define SINUS(_x) (signed short) \
//	(__AX__= (_x), \
//	__asm__ ("tay"), \
//	__asm__ ("ldx %v,y", sinustablehigh), \
//	__asm__ ("lda %v,y", sinustablelow), \
//     __AX__)

//#define COSINUS(_x) (signed short) \
//	(__AX__= (_x), \
//	__asm__ ("tay"), \
//	__asm__ ("ldx %v,y", cosinustablehigh ), \
//	__asm__ ("lda %v,y", cosinustablelow ), \
//     __AX__)

#ifdef NO_AX_IN_MACROS

#define SINUS(_x) (unsigned char) \
	( \
	__asm__ ("ldy %v", _x), \
	__asm__ ("lda %v,y", sinustablelow), \
     __AX__)

#define COSINUS(_x) (unsigned char) \
	( \
	__asm__ ("ldy %v", _x), \
	__asm__ ("lda %v,y", cosinustablelow ), \
     __AX__)

#else

#define SINUS(_x) (unsigned char) \
	(__AX__= (_x), \
	__asm__ ("tay"), \
	__asm__ ("lda %v,y", sinustablelow), \
     __AX__)

#define COSINUS(_x) (unsigned char) \
	(__AX__= (_x), \
	__asm__ ("tay"), \
	__asm__ ("lda %v,y", cosinustablelow ), \
     __AX__)

#endif

